package com.oauth.system.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
@ApiModel(value = "变更授权Model", description = "变更授权Model")
@Data
public class RolePermissionIdsModel implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("角色id")
    private String roleId;
    @ApiModelProperty("变更后权限ids")
    private List<String> permissionIds;
    @ApiModelProperty("变更前权限ids")
    private List<String> lastPermissionIds;

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public List<String> getPermissionIds() {
        return permissionIds;
    }

    public void setPermissionIds(List<String> permissionIds) {
        this.permissionIds = permissionIds;
    }

    public List<String> getLastPermissionIds() {
        return lastPermissionIds;
    }

    public void setLastPermissionIds(List<String> lastPermissionIds) {
        this.lastPermissionIds = lastPermissionIds;
    }
}
